<form autocomplete="off" #updateDepartmentModal="ngForm" (ngSubmit)="save()" [busy]="isLoading">
    <h1 mat-dialog-title>{{ "updateNewDepartment" | localize }}</h1>
    <mat-dialog-content>
        <div class="row-fluid">
            <div class="col-md-12">
                <mat-form-field>
                    <input matInput name="name" [placeholder]="'Name' | localize" [(ngModel)]="department.name" required
                        minlength="3" maxlength="50" />
                </mat-form-field>
                <mat-form-field>
                    <input matInput name="budget" [placeholder]="'Budget' | localize" [(ngModel)]="department.budget"
                        required type="number" />
                </mat-form-field>
                <mat-form-field>
                    <input matInput [placeholder]="'StartDate' | localize"
                        [matDatepicker]="startDatePicker" [formControl]="startDate" />
                    <mat-datepicker-toggle matSuffix [for]="startDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #startDatePicker></mat-datepicker>
                </mat-form-field>
                <mat-form-field>
                    <mat-select [(ngModel)]="selectedAdministrator" name="selectedAdministrator">
                        <mat-option>None</mat-option>
                        <mat-option *ngFor="let instructor of instructors" [value]="instructor.id">
                            {{ instructor.firstName + " " + instructor.lastName }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>
    </mat-dialog-content>
    <div mat-dialog-actions align="end">
        <button mat-button type="button" [disabled]="saving" (click)="close(false)">
            {{ "Cancel" | localize }}
        </button>
        <button mat-flat-button type="submit" flex="15" color="primary"
            [disabled]="!updateDepartmentModal.form.valid || saving">
            {{ "Save" | localize }}
        </button>
    </div>
</form>